<?
//  
//  Copyright (c) 2006, 2007		Dmitry Butskoy
//  					<buc@citadel.stu.neva.ru>
//  License:  GPL v2 or any later
//  
//  For full terms see the file COPYING.
//  

require("./common.php");


$to = "";
$subj = "";

if (isset($uid)) {	//  Either reply or forward...

    $info = imap_fetch_overview($mbox, "$uid", FT_UID);

    $subject = getheader($info[0]->subject);
    if (empty($subject))  $subject = $EMPTY_SUBJ;

    if (isset($fwd))
	$subj = "[Fwd: " . $subject . "]";
    else {
	$from = imap_rfc822_parse_adrlist ($info[0]->from, "unknown");
	$to = $from[0]->mailbox . "@" . $from[0]->host;

	$subj = "Re: " . $subject;
    }
}

imap_close($mbox);


$from = ereg_replace("/.*$", "", $H);
if (ereg("^[0-9.]*$", $from))
	$from = gethostbyaddr ($from);
$from = $U . "@" . $from;


wmlstart();

echo "<card id=\"compose\">\n";

echo "<onevent type=\"onenterforward\">";
echo "<refresh>\n";
echo "    <setvar name=\"sender\" value=\"\"/>\n";
echo "    <setvar name=\"from\" value=\"$from\"/>\n";
echo "    <setvar name=\"to\" value=\"$to\"/>\n";
echo "    <setvar name=\"cc\" value=\"\"/>\n";
echo "    <setvar name=\"subject\" value=\"$subj\"/>\n";
echo "    <setvar name=\"message\" value=\"\"/>\n";
echo "</refresh>\n";
echo "</onevent>\n";

echo "<p><small>\n";

echo _('Name').": <input name=\"sender\" value=\"\"/><br/>\n";
echo _('From').": <input name=\"from\" format=\"*m\" value=\"$from\"/><br/>\n";
echo _('To').":   <input name=\"to\" format=\"*m\" value=\"$to\"/><br/>\n";
echo _('Cc').":   <input name=\"cc\" format=\"*m\" value=\"\"/><br/>\n";
echo _('Subj').":  <input name=\"subject\" value=\"$subj\"/><br/>\n";

echo "</small></p>\n";

echo "<p mode=\"wrap\"><small>\n";
echo _('Message').":<br/>\n";
echo "<input name=\"message\" value=\" \"/>\n";
echo "<br/><br/>";
echo "</small></p>\n";

if (isset($fwd))  $fwuid = $uid;

wmlbutton(_('Send'),"sendmail.php",
	array("sender"=>"$(sender)","from"=>"$(from)",
		"to"=>"$(to)","cc"=>"$(cc)","subject"=>"$(subject)",
		"message"=>"$(message)","page"=>$page,"fwuid"=>$fwuid),
	"post");

resetbutton(_('Reset'),array("sender"=>"","from"=>$from,"to"=>$to,"cc"=>"",
					"subject"=>$subj,"message"=>""));

wmlbutton(_('BACK'),"list.php",array("page"=>$page));

echo "</card>";
wmlend();
?>
