<?
//  
//  Copyright (c) 2006, 2007		Dmitry Butskoy
//  					<buc@citadel.stu.neva.ru>
//  License:  GPL v2 or any later
//  
//  For full terms see the file COPYING.
//  

require("./common.php");


$structure = imap_fetchstructure($mbox, $uid, FT_UID);
if (!$structure)  wmldie ("imap_fetchstructure: " . imap_last_error());

$sub = part2sub($structure,$attid);


$data = imap_fetchbody($mbox,$uid,$attid,FT_UID);

if($sub->encoding == ENCBASE64)
	$data = imap_base64($data);
else if($sub->encoding == ENCQUOTEDPRINTABLE) {
	$data = imap_qprint($data);
	$data = ereg_replace ("=\r?\n", "", $data);
}


//  Content-type

$type = type2str($sub->type);
if ($sub->ifsubtype) 
    $type .= "/" . strtolower($sub->subtype);

if ($sub->ifparameters) {
    while (list($index, $object) = each($sub->parameters)) {
	if (strtolower($object->attribute) == "charset") {
	    $type .= "; charset=" . $object->value;
	    break;
	}
    }
}
 
header("Content-type: " . $type);


if (strtoupper($_SERVER['SERVER_PROTOCOL']) == "HTTP/1.0")
	header("Pragma: no-cache");
else        //  assume HTTP/1.1 or later
    header("Cache-Control: no-store, no-cache, must-revalidate");


imap_close($mbox);


// Content-length should be computed by php...

echo $data;

?>
